
Foreman - Refactor #30030

Set config.action_dispatch.return_only_media_type_on_content_type = false

06/05/2020 05:19 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases: 2.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7724

  

Description

Related issues:

Related to Foreman - Tracker #24837: Rails 6.0 Tracker Closed

Related to Foreman - Refactor #30144: Use media_type instead of content_type ... Closed

Blocks Foreman - Tracker #28570: Rails 6.1 Tracker Closed

Associated revisions

Revision 8a32cb86 - 06/17/2020 12:45 PM - Michael Moll 

Fixes #30030 - use media_type where appropriate

Also, set config.action_dispatch.return_only_media_type_on_content_type

to false, as it will be in Rails 6.1.

History

#1 - 06/05/2020 05:20 PM - Anonymous

- Related to Tracker #24837: Rails 6.0 Tracker added

#2 - 06/05/2020 05:20 PM - Anonymous

- Blocks Tracker #28570: Rails 6.1 Tracker added

#3 - 06/05/2020 05:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7724 added

#4 - 06/17/2020 12:45 PM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#5 - 06/17/2020 12:46 PM - Ondřej Ezr

- Related to Refactor #30144: Use media_type instead of content_type for media type checks added

#6 - 06/17/2020 01:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 8a32cb86f4141d59521e9288bf12f77ed145a877.

#7 - 09/10/2020 05:03 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7975 added
